<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;  }

$base = trailingslashit( SIFENCY_ADDONS_DIR . 'classes/admin-module/data-management' );

/**
 * Button Classes
 */
$buttons = array(
	'buttons/backup.php',
	'buttons/download.php',
	'buttons/export.php',
	'buttons/import.php',
	'buttons/reset.php',
);

/**
 * Core Classes
 */
$core_files = array(
	'class-admin.php',
	'downloader/class-downloader.php',
	'exporter/class-exporter.php',
	'importer/class-importer.php',
	'notice/class-notice.php',
	'reseter/class-reseter.php',
	'helpers/class-demo-helper.php',
	'helpers/class-helpers.php',
);

/**
 * Safely load files
 */
foreach ( array_merge( $buttons, $core_files ) as $file ) {
	$path = $base . $file;

	if ( file_exists( $path ) ) {
		require_once $path;
	}
}
